<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
    <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[600, 400]"/>
    </Property>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" attributes="0">
                              <EmptySpace min="-2" pref="6" max="-2" attributes="0"/>
                              <Component id="jLabel1" min="-2" pref="216" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <EmptySpace max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="1" attributes="0">
                                  <Component id="kategorieDelete" linkSize="1" alignment="0" min="-2" max="-2" attributes="0"/>
                                  <Component id="kategorieEdit" linkSize="1" alignment="0" min="-2" max="-2" attributes="0"/>
                                  <Component id="kategorieCreate" linkSize="1" alignment="0" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace min="-2" max="-2" attributes="0"/>
                      <Component id="jScrollPane2" pref="300" max="32767" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="1" attributes="0">
                      <EmptySpace min="-2" pref="14" max="-2" attributes="0"/>
                      <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="jLabel3" max="32767" attributes="0"/>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Component id="close" min="-2" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="6" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jScrollPane2" pref="317" max="32767" attributes="0"/>
                  <Group type="102" attributes="0">
                      <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="kategorieCreate" linkSize="2" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="kategorieEdit" linkSize="2" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="kategorieDelete" linkSize="2" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="close" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel3" alignment="0" min="-2" pref="16" max="-2" attributes="0"/>
                  <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Lucida Grande" size="13" style="1"/>
        </Property>
        <Property name="horizontalAlignment" type="int" value="2"/>
        <Property name="text" type="java.lang.String" value="Produktkategorien verwalten"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="kategorieCreate">
      <Properties>
        <Property name="text" type="java.lang.String" value="Produktkategorie anlegen"/>
        <Property name="size" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[97, 60]"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="kategorieCreateActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="kategorieEdit">
      <Properties>
        <Property name="text" type="java.lang.String" value="Produktkategorie bearbeiten"/>
        <Property name="size" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[97, 60]"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="kategorieEditActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="kategorieDelete">
      <Properties>
        <Property name="text" type="java.lang.String" value="Produktkategorie l&#xf6;schen"/>
        <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[205, 60]"/>
        </Property>
        <Property name="size" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[97, 60]"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="kategorieDeleteActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Ausgabe:"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane2">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTree" name="jTree1">
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_InitCodePre" type="java.lang.String" value="DefaultMutableTreeNode      root = new DefaultMutableTreeNode(&quot;WAWI-Kategorien&quot;);&#xa;DefaultMutableTreeNode      parent;&#xa;MyTreeModel mtm = new MyTreeModel();&#xa;jTree1.setModel(mtm.getDefaultTreeModel());&#xa;jTree1.addTreeSelectionListener(new TreeSelectionListener(){&#xa;    public void valueChanged(TreeSelectionEvent e) {&#xa;        DefaultMutableTreeNode node = (DefaultMutableTreeNode)jTree1.getLastSelectedPathComponent();&#xa;        &#xa;        CustomUserObject cuo = (CustomUserObject)node.getUserObject();&#xa;        &#xa;&#xa;        //uniq Nummer&#xa;        //hasCode = node.getUserObject().hashCode();&#xa;        //kastet jedes Node und holt aus jedem Object die ID&#xa;        int itemID = cuo.getId();&#xa;        //kastet jedes Node und holt aus jedem Object den Titel&#xa;        String itemName = cuo.getTitle();&#xa;        String itemType = cuo.getType();&#xa;        //hiddenValueForKategorie setzen, damit man deletKategorie ausf&#xfc;hren kann&#xa;        hiddenValueForKategorie = itemID;&#xa;        hiddenItemType = itemType;&#xa;        //Ausgabe&#xa;jLabel3.setForeground(Color.BLACK);&#xa;        jLabel3.setText(&quot;Ausgew&#xe4;hlt Kategorie: &quot;+hiddenValueForKategorie);&#xa;&#xa;    }&#xa;});&#xa;//jTree1.remove(index);"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JButton" name="close">
      <Properties>
        <Property name="text" type="java.lang.String" value="Schlie&#xdf;en"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="closeActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel3">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="10"/>
      </AuxValues>
    </Component>
  </SubComponents>
</Form>
